## ros-humble-rmf-building-sim-gz-classic-plugins 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_building_sim_gz_classic_plugins)

find_package(Qt5 COMPONENTS Widgets REQUIRED)
set(CMAKE_AUTOMOC ON)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(OpenCV REQUIRED )
find_package(rmf_fleet_msgs REQUIRED)
find_package(rmf_building_sim_common REQUIRED)
find_package(menge_vendor REQUIRED)

include(GNUInstallDirs)

###############################
# door stuff
###############################

add_library(door SHARED src/door.cpp)

ament_target_dependencies(door
  rmf_building_sim_common
  rclcpp
  gazebo_ros
)

target_include_directories(door
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
)

###############################
# lift stuff
###############################

add_library(lift SHARED src/lift.cpp)

ament_target_dependencies(lift
    rmf_building_sim_common
    rclcpp
    gazebo_ros
)

target_include_directories(lift
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
)

###############################
# toggle floor stuff
###############################

add_library(toggle_floors SHARED src/toggle_floors.cpp)

ament_target_dependencies(toggle_floors
    Qt5
    gazebo_ros
    rmf_fleet_msgs
    rclcpp
)

target_include_directories(toggle_floors
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    #${rmf_building_sim_common_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
)

###############################
# toggle charging
###############################

add_library(toggle_charging SHARED src/toggle_charging.cpp)

ament_target_dependencies(toggle_charging
    Qt5
    gazebo_ros
    rmf_fleet_msgs
    rclcpp
)

target_include_directories(toggle_charging
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
)


###############################
# thumbnail generation stuff
###############################

add_library(thumbnail_generator SHARED src/thumbnail_generator.cpp)

target_include_directories(thumbnail_generator
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    ${OpenCV_INCLUDE_DIRS}
)

target_link_libraries(thumbnail_generator
  PUBLIC
    ${OpenCV_LIBS}
)

###############################
# crowd simulator stuff
###############################
add_library(crowd_simulator
  SHARED
    src/crowd_simulator.cpp
)

ament_target_dependencies(crowd_simulator
  rmf_building_sim_common
  rclcpp
  menge_vendor
)

target_include_directories(crowd_simulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    ${GAZEBO_INCLUDE_DIRS}
    ${menge_vendor_INCLUDE_DIRS}
    ${rmf_building_sim_common_INCLUDE_DIRS}
)

###############################
# install stuff
###############################

install(
  TARGETS door lift toggle_floors toggle_charging thumbnail_generator crowd_simulator
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-building-sim-gz-classic-plugins (2.0.2-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (2.0.1-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Contributors: Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (2.0.0-1jammy) jammy; urgency=high

  * Renamed to rmf_building_sim_gz_classic_plugins and Humble migration (#77 <https://github.com/open-rmf/rmf_simulation/pull/77>)
  * Contributors: Luca Della Vedova, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (1.3.0-1jammy) jammy; urgency=high

  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * fix compile error on qt > 5.14 (#27 <https://github.com/open-rmf/rmf_simulation/pull/27>)
  * Changes for galactic (#25 <https://github.com/open-rmf/rmf_simulation/pull/25>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/pull/19>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/pull/10>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming to rmf_building_map_tools (#4 <https://github.com/open-rmf/rmf_simulation/pull/4>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Teo Koon Peng, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (1.2.0-1jammy) jammy; urgency=high

  * Merge branch 'release-1.1'
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/pull/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/pull/242>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge
  * (#224 <https://github.com/osrf/traffic_editor/pull/224>)
  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Guoliang (Fred) Shao, Marco A. Gutierrez, Marco A. Gutiérrez, Rushyendra Maganty

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 05 Jan 2021 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (1.1.0-1jammy) jammy; urgency=high

  * Implement model visibility toggling (#226 <https://github.com/osrf/traffic_editor/pull/226>)
  * Add crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/pull/218>)
  * Foxy support (#194 <https://github.com/osrf/traffic_editor/pull/194>)
  * Modularization of doors and slotcar (#138 <https://github.com/osrf/traffic_editor/pull/13>)
  * Add gazebo lift plugin
  * Contributors: Charayaphan Nakorn Boon Han, Guoliang (Fred) Shao, Kevin_Skywalker, Luca Della Vedova, MakinoharaShouko, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rmf-building-sim-gz-classic-plugins (1.0.0-1jammy) jammy; urgency=high

  * changed to using target_link_libraries to be specific (#95 <https://github.com/osrf/traffic_editor/pull/9>)
  * Add support for single doors (#90 <https://github.com/osrf/traffic_editor/pull/9>)
  * Add gazebo plugins used by rmf_building_map_tools generators (#89 <https://github.com/osrf/traffic_editor/pull/8>)
  * Contributors: Aaron, Aaron Chong, Michael X. Grey, Morgan Quigley, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-building-sim-gz-classic-plugins
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, libqt5widgets5, qtbase5-dev, ros-humble-ament-cmake, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-menge-vendor, ros-humble-rclcpp, ros-humble-rmf-building-sim-common, ros-humble-rmf-fleet-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-building-sim-gz-classic-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, libqt5widgets5, qtbase5-dev, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-menge-vendor, ros-humble-rclcpp, ros-humble-rmf-building-sim-common, ros-humble-rmf-fleet-msgs, ros-humble-ros-workspace
Description: Gazebo plugins so that buildings generated by rmf_building_map_tools can talk to the ROS 2-based systems in the rmf_traffic_ros2 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-building-sim-gz-classic-plugins//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
